diff --git a/org/postgresql/Driver.java.in b/org/postgresql/Driver.java.in
index 27d8115..7340fd7 100644
--- a/org/postgresql/Driver.java.in
+++ b/org/postgresql/Driver.java.in
@@ -242,7 +242,12 @@ public class Driver implements java.sql.Driver
         for (Enumeration e = info.propertyNames(); e.hasMoreElements(); )
         {
             String propName = (String)e.nextElement();
-            props.setProperty(propName, info.getProperty(propName));
+            String propValue = info.getProperty(propName);
+            if (propValue == null) {
+                throw new PSQLException(GT.tr("Properties for the driver contains a non-string value for the key ")+propName,
+                                        PSQLState.UNEXPECTED_ERROR);
+            }
+            props.setProperty(propName, propValue);
         }
 
         // parse URL and add more properties
